package im.zhaojun.system.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;

/***
 * 行人
 */
public class Pedestrian {
    private Long id;
    private String Type;
    private ObjectBoundingBox ObjectBoundingBox;
    private String Gender;
    private String Age;
    private String Angle;
    private String HasBackpack;
    private String HasGlasses;
    private String HasCarrybag;
    private String HasUmbrella;
    private String CoatLength;
    private String CoatColorNums;
    private String CoatColor;
    private String TrousersLength;
    private String TrousersColorNums;
    private String TrousersColor;
    private HeadBoundingBox HeadBoundingBox;
    private UpperBoundingBox UpperBoundingBox;
    private LowerBoundingBox LowerBoundingBox;
    private FaceBoundingBox FaceBoundingBox;
    private String HasHat;
    private String HasMask;
    private String HairStyle;
    private String CoatTexture;
    private String TrousersTexture;
    private String HasTrolley;
    private String HasLuggage;
    private String LuggageColorNums;
    private String LuggageColor;
    private int HasKnife;
    public void setType(String Type) {
        this.Type = Type;
    }
    @JSONField(name = "Type")
    public String getType() {
        return Type;
    }


    public void setObjectBoundingBox(ObjectBoundingBox ObjectBoundingBox) {
        this.ObjectBoundingBox = ObjectBoundingBox;
    }
    @JSONField(name = "ObjectBoundingBox")
    public ObjectBoundingBox getObjectBoundingBox() {
        return ObjectBoundingBox;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setGender(String Gender) {
        this.Gender = Gender;
    }
    @JSONField(name = "Gender")
    public String getGender() {
        return Gender;
    }

    public void setAge(String Age) {
        this.Age = Age;
    }
    @JSONField(name = "Age")
    public String getAge() {
        return Age;
    }

    public void setAngle(String Angle) {
        this.Angle = Angle;
    }
    @JSONField(name = "Angle")
    public String getAngle() {
        return Angle;
    }

    public void setHasBackpack(String HasBackpack) {
        this.HasBackpack = HasBackpack;
    }
    @JSONField(name = "HasBackpack")
    public String getHasBackpack() {
        return HasBackpack;
    }

    public void setHasGlasses(String HasGlasses) {
        this.HasGlasses = HasGlasses;
    }
    @JSONField(name = "HasGlasses")
    public String getHasGlasses() {
        return HasGlasses;
    }

    public void setHasCarrybag(String HasCarrybag) {
        this.HasCarrybag = HasCarrybag;
    }
    @JSONField(name = "HasCarrybag")
    public String getHasCarrybag() {
        return HasCarrybag;
    }

    public void setHasUmbrella(String HasUmbrella) {
        this.HasUmbrella = HasUmbrella;
    }
    @JSONField(name = "HasUmbrella")
    public String getHasUmbrella() {
        return HasUmbrella;
    }

    public void setCoatLength(String CoatLength) {
        this.CoatLength = CoatLength;
    }
    @JSONField(name = "CoatLength")
    public String getCoatLength() {
        return CoatLength;
    }

    public void setCoatColorNums(String CoatColorNums) {
        this.CoatColorNums = CoatColorNums;
    }
    @JSONField(name = "CoatColorNums")
    public String getCoatColorNums() {
        return CoatColorNums;
    }



    public void setTrousersLength(String TrousersLength) {
        this.TrousersLength = TrousersLength;
    }
    @JSONField(name = "TrousersLength")
    public String getTrousersLength() {
        return TrousersLength;
    }

    public void setTrousersColorNums(String TrousersColorNums) {
        this.TrousersColorNums = TrousersColorNums;
    }
    @JSONField(name = "TrousersColorNums")
    public String getTrousersColorNums() {
        return TrousersColorNums;
    }



    public void setHeadBoundingBox(HeadBoundingBox HeadBoundingBox) {
        this.HeadBoundingBox = HeadBoundingBox;
    }
    @JSONField(name = "HeadBoundingBox")
    public HeadBoundingBox getHeadBoundingBox() {
        return HeadBoundingBox;
    }

    public void setUpperBoundingBox(UpperBoundingBox UpperBoundingBox) {
        this.UpperBoundingBox = UpperBoundingBox;
    }
    @JSONField(name = "UpperBoundingBox")
    public UpperBoundingBox getUpperBoundingBox() {
        return UpperBoundingBox;
    }

    public void setLowerBoundingBox(LowerBoundingBox LowerBoundingBox) {
        this.LowerBoundingBox = LowerBoundingBox;
    }
    @JSONField(name = "LowerBoundingBox")
    public LowerBoundingBox getLowerBoundingBox() {
        return LowerBoundingBox;
    }

    public void setFaceBoundingBox(FaceBoundingBox FaceBoundingBox) {
        this.FaceBoundingBox = FaceBoundingBox;
    }
    @JSONField(name = "FaceBoundingBox")
    public FaceBoundingBox getFaceBoundingBox() {
        return FaceBoundingBox;
    }

    public void setHasHat(String HasHat) {
        this.HasHat = HasHat;
    }
    @JSONField(name = "HasHat")
    public String getHasHat() {
        return HasHat;
    }

    public void setHasMask(String HasMask) {
        this.HasMask = HasMask;
    }
    @JSONField(name = "HasMask")
    public String getHasMask() {
        return HasMask;
    }

    public void setHairStyle(String HairStyle) {
        this.HairStyle = HairStyle;
    }
    @JSONField(name = "HairStyle")
    public String getHairStyle() {
        return HairStyle;
    }

    public void setCoatTexture(String CoatTexture) {
        this.CoatTexture = CoatTexture;
    }
    @JSONField(name = "CoatTexture")
    public String getCoatTexture() {
        return CoatTexture;
    }

    public void setTrousersTexture(String TrousersTexture) {
        this.TrousersTexture = TrousersTexture;
    }
    @JSONField(name = "TrousersTexture")
    public String getTrousersTexture() {
        return TrousersTexture;
    }

    public void setHasTrolley(String HasTrolley) {
        this.HasTrolley = HasTrolley;
    }
    @JSONField(name = "HasTrolley")
    public String getHasTrolley() {
        return HasTrolley;
    }

    public void setHasLuggage(String HasLuggage) {
        this.HasLuggage = HasLuggage;
    }
    @JSONField(name = "HasLuggage")
    public String getHasLuggage() {
        return HasLuggage;
    }

    public void setLuggageColorNums(String LuggageColorNums) {
        this.LuggageColorNums = LuggageColorNums;
    }
    @JSONField(name = "LuggageColorNums")
    public String getLuggageColorNums() {
        return LuggageColorNums;
    }

    public void setHasKnife(int HasKnife) {
        this.HasKnife = HasKnife;
    }
    @JSONField(name = "HasKnife")
    public int getHasKnife() {
        return HasKnife;
    }

    @JSONField(name = "CoatColor")
    public String getCoatColor() {
        return CoatColor;
    }

    public void setCoatColor(String coatColor) {
        CoatColor = coatColor;
    }

    @JSONField(name = "TrousersColor")
    public String getTrousersColor() {
        return TrousersColor;
    }

    public void setTrousersColor(String trousersColor) {
        TrousersColor = trousersColor;
    }

    @JSONField(name = "LuggageColor")
    public String getLuggageColor() {
        return LuggageColor;
    }

    public void setLuggageColor(String luggageColor) {
        LuggageColor = luggageColor;
    }
}
